% MakeFigSR5
%
% Generates Figure 5 of the NBER Working Paper.
%
% See also:
% Exercise6, Exercise6SearchSequence
%
% ..............................................................................
%
% Created: April 22, 2014 by Vasco Curdia
%
% Copyright 2014 by Vasco Curdia

%% -----------------------------------------------------------------------------

%% Preamble
clear all
tic
ttic = toc();

%% Generate Simulations
Exercise6('dSP',4,'PersSP',90)
Exercise6SearchSequence(...
    'FileNameSuffix','_dSP_4_Pers_90',...
    'Shocks2Plot',{'hchitiladd'})

%% Generate Plot
IRFPlotCompareExercise6(...
    'FileNameSuffix','_dSP_4_Pers_90',...
    'Shocks2Plot',{'hchitiladd'},...
    'FigShape',{3,3},...
    'FigPrint',1,...
    'FigPrefix','Fig_NBER_5_')

%% Generate Plot with Optimal Credit Policy
IRFPlotCompareExercise6(...
    'FileNameSuffix','_dSP_4_Pers_90',...
    'Shocks2Plot',{'hchitiladd'},...
    'FigShape',{3,3},...
    'FigPrint',1,...
    'Pol2Plot',{'NoCP','gam_50','gam_100','OptCP'},...
    'Pol2PlotPretty',{'\gamma = 0','\gamma = 0.5','\gamma = 1',...
                      'Optimal CP'},...
    'FigPrefix','Fig_NBER_5_OptCP_')

%% Elapsed time
disp(' '), vctoc(ttic), disp(' ')

%% -----------------------------------------------------------------------------
